Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
    Active
    Search
    Position
    Forecast
      Forecasts of government-issued storm by year, basin, and government Idget
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Forecast


Forecasts of government-issued storm by year, basin, and government Id

GET
https://dataservice.accuweather.com
/tropical/v1/gov/storms/{year}/{basin}/{govId}/forecasts

Returns forecast information for a government-issued tropical cyclone by year, basin and government id

Basins

NameId
AtlanticAL
Central PacificCP
Eastern PacificEP
North Indian OceanNI
Northwest PacificNP
South Indian OceanSI
Southwest PacificSP

Forecasts of government-issued storm by year, basin, and government Id › path Parameters

year
​integer · int32 · required

A numerical value indicating the four digit year.

Example: 2024
basin
​string · required

A unique ID that designates a specific basin (NP, CP, SP, EP, NI, SI, AL).

Example: AL
govId
​integer · int32 · required

A numerical ID that matches the depression ID.

Example: 2

Forecasts of government-issued storm by year, basin, and government Id › query Parameters

details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false
windowGeometry
​boolean

A boolean value that specifies whether or not to include window geometry data.

Default: false
radiiGeometry
​boolean

A boolean value that specifies whether or not to include wind radii summary data.

Default: false
format
​string

A string value that specifies what type of format to provide the response.

Default: json
language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us

Forecasts of government-issued storm by year, basin, and government Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Forecasts of government-issued storm by year, basin, and government Id › Responses

OK

​API.Tropical.Gov.Entities.OpenAPI.ForecastSummary[]
API.Tropical.Gov.Entities.OpenAPI.ForecastSummary
​required

An object containing the location details.

​required

An object containing information about the maximum short-burst wind speed with a rounded value for Miles per hour and Kilometer per hour. The object may be NULL.

​required

An object containing information about the maximum sustained wind speed with a rounded value for Miles per hour and Kilometer per hour. The object may be NULL.

status
​string · minLength: 1 · required

Storm status, in English, including category values of hurricanes and tropical cyclones. Some examples are: Hurricane – Category 3, Tropical Depression, Tropical Cyclone - Category 1, Depression, and Typhoon.

localizedStatus
​string · minLength: 1 · required

The storm status in the requested language.

validDateTime
​string · date-time

The date and time at which the forecast is valid, displayed in ISO 8601 format (yyyy-mm-ddThh:mm:ss±hh:mm).

validEpochDateTime
​integer · int64

The date and time at which the forecast is valid, displayed as the number of seconds that have elapsed since midnight UTC/GMT on January 1, 1970.

initializedDateTime
​string · date-time

Datetime the forecast was created, displayed in ISO8601 format.

epochInitializedDateTime
​integer · int64

Datetime the forecast was created, displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

​

An object containing information about the forecast window for the storm during the specified time period (not the entire cone). If windowgeometry=true in the request, this object will include geoJSON details for window geometry.

​array | null

A list of objects containing wind radii information.

GET/tropical/v1/gov/storms/{year}/{basin}/{govId}/forecasts
curl https://dataservice.accuweather.com/tropical/v1/gov/storms/:year/:basin/:govId/forecasts \ --header 'Authorization: <api-key>'
Example Responses
[ { "validDateTime": "2024-08-25T15:00:00Z", "validEpochDateTime": 0, "initializedDateTime": "2024-08-25T15:00:00Z", "epochInitializedDateTime": 0, "position": {}, "maxWindGust": {}, "sustainedWind": {}, "status": "status", "localizedStatus": "localizedStatus", "window": {}, "windRadiiSummary": [ { "validDateTime": "2024-08-25T15:00:00Z", "validEpochDateTime": 0, "windSpeed": {}, "radiusSectorData": [ { "beginBearing": 0, "endBearing": 0, "range": 0 } ], "radiiGeometry": {} } ] } ]
json
application/json

PositionLocation Key